"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.escrowConstraintModelBeet = exports.EscrowConstraintModel = void 0;
const web3 = __importStar(require("@solana/web3.js"));
const beet = __importStar(require("@metaplex-foundation/beet"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
const Key_1 = require("../types/Key");
const EscrowConstraint_1 = require("../types/EscrowConstraint");
const RoyaltyInstruction_1 = require("../types/RoyaltyInstruction");
class EscrowConstraintModel {
    constructor(key, creator, name, constraints, updateAuthority, count, schemaUri, royalties, royaltyBalance, padding) {
        this.key = key;
        this.creator = creator;
        this.name = name;
        this.constraints = constraints;
        this.updateAuthority = updateAuthority;
        this.count = count;
        this.schemaUri = schemaUri;
        this.royalties = royalties;
        this.royaltyBalance = royaltyBalance;
        this.padding = padding;
    }
    static fromArgs(args) {
        return new EscrowConstraintModel(args.key, args.creator, args.name, args.constraints, args.updateAuthority, args.count, args.schemaUri, args.royalties, args.royaltyBalance, args.padding);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return EscrowConstraintModel.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address, commitmentOrConfig) {
        const accountInfo = await connection.getAccountInfo(address, commitmentOrConfig);
        if (accountInfo == null) {
            throw new Error(`Unable to find EscrowConstraintModel account at ${address}`);
        }
        return EscrowConstraintModel.fromAccountInfo(accountInfo, 0)[0];
    }
    static gpaBuilder(programId = new web3.PublicKey('trifMWutwBxkSuatmpPVnEe7NoE3BJKgjVi8sSyoXWX')) {
        return beetSolana.GpaBuilder.fromStruct(programId, exports.escrowConstraintModelBeet);
    }
    static deserialize(buf, offset = 0) {
        return exports.escrowConstraintModelBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.escrowConstraintModelBeet.serialize(this);
    }
    static byteSize(args) {
        const instance = EscrowConstraintModel.fromArgs(args);
        return exports.escrowConstraintModelBeet.toFixedFromValue(instance).byteSize;
    }
    static async getMinimumBalanceForRentExemption(args, connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(EscrowConstraintModel.byteSize(args), commitment);
    }
    pretty() {
        return {
            key: 'Key.' + Key_1.Key[this.key],
            creator: this.creator.toBase58(),
            name: this.name,
            constraints: this.constraints,
            updateAuthority: this.updateAuthority.toBase58(),
            count: (() => {
                const x = this.count;
                if (typeof x.toNumber === 'function') {
                    try {
                        return x.toNumber();
                    }
                    catch (_) {
                        return x;
                    }
                }
                return x;
            })(),
            schemaUri: this.schemaUri,
            royalties: this.royalties,
            royaltyBalance: (() => {
                const x = this.royaltyBalance;
                if (typeof x.toNumber === 'function') {
                    try {
                        return x.toNumber();
                    }
                    catch (_) {
                        return x;
                    }
                }
                return x;
            })(),
            padding: this.padding,
        };
    }
}
exports.EscrowConstraintModel = EscrowConstraintModel;
exports.escrowConstraintModelBeet = new beet.FixableBeetStruct([
    ['key', Key_1.keyBeet],
    ['creator', beetSolana.publicKey],
    ['name', beet.utf8String],
    ['constraints', beet.map(beet.utf8String, EscrowConstraint_1.escrowConstraintBeet)],
    ['updateAuthority', beetSolana.publicKey],
    ['count', beet.u64],
    ['schemaUri', beet.coption(beet.utf8String)],
    ['royalties', beet.map(RoyaltyInstruction_1.royaltyInstructionBeet, beet.u64)],
    ['royaltyBalance', beet.u64],
    ['padding', beet.uniformFixedSizeArray(beet.u8, 32)],
], EscrowConstraintModel.fromArgs, 'EscrowConstraintModel');
//# sourceMappingURL=EscrowConstraintModel.js.map