type ErrorWithCode = Error & {
    code: number;
};
type MaybeErrorWithCode = ErrorWithCode | null | undefined;
export declare class NumericalOverflowError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidAccountError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidEscrowConstraintModelError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidEscrowConstraintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class EscrowConstraintViolationError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidUpdateAuthorityError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class FailedToCreatePubkeyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class DataTypeMismatchError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ConstraintAlreadyExistsError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenLimitExceededError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class FailedToFindTokenAmountError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidCollectionMetadataError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TransferEffectConflictError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class FreezeAuthorityNotSetError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CannotBurnPrintEditionError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ConstraintKeyNotFoundError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class FailedToSerializeError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class FailedToBorrowAccountDataError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidCollectionError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class MustBeHolderError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidFirstCreatorError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare function errorFromCode(code: number): MaybeErrorWithCode;
export declare function errorFromName(name: string): MaybeErrorWithCode;
export {};
