"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorFromName = exports.errorFromCode = exports.InvalidFirstCreatorError = exports.MustBeHolderError = exports.InvalidCollectionError = exports.FailedToBorrowAccountDataError = exports.FailedToSerializeError = exports.ConstraintKeyNotFoundError = exports.CannotBurnPrintEditionError = exports.FreezeAuthorityNotSetError = exports.TransferEffectConflictError = exports.InvalidCollectionMetadataError = exports.FailedToFindTokenAmountError = exports.TokenLimitExceededError = exports.ConstraintAlreadyExistsError = exports.DataTypeMismatchError = exports.FailedToCreatePubkeyError = exports.InvalidUpdateAuthorityError = exports.EscrowConstraintViolationError = exports.InvalidEscrowConstraintError = exports.InvalidEscrowConstraintModelError = exports.InvalidAccountError = exports.NumericalOverflowError = void 0;
const createErrorFromCodeLookup = new Map();
const createErrorFromNameLookup = new Map();
class NumericalOverflowError extends Error {
    constructor() {
        super('Numerical Overflow');
        this.code = 0x0;
        this.name = 'NumericalOverflow';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, NumericalOverflowError);
        }
    }
}
exports.NumericalOverflowError = NumericalOverflowError;
createErrorFromCodeLookup.set(0x0, () => new NumericalOverflowError());
createErrorFromNameLookup.set('NumericalOverflow', () => new NumericalOverflowError());
class InvalidAccountError extends Error {
    constructor() {
        super('Invalid account');
        this.code = 0x1;
        this.name = 'InvalidAccount';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidAccountError);
        }
    }
}
exports.InvalidAccountError = InvalidAccountError;
createErrorFromCodeLookup.set(0x1, () => new InvalidAccountError());
createErrorFromNameLookup.set('InvalidAccount', () => new InvalidAccountError());
class InvalidEscrowConstraintModelError extends Error {
    constructor() {
        super('Invalid Escrow Constraint Model');
        this.code = 0x2;
        this.name = 'InvalidEscrowConstraintModel';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidEscrowConstraintModelError);
        }
    }
}
exports.InvalidEscrowConstraintModelError = InvalidEscrowConstraintModelError;
createErrorFromCodeLookup.set(0x2, () => new InvalidEscrowConstraintModelError());
createErrorFromNameLookup.set('InvalidEscrowConstraintModel', () => new InvalidEscrowConstraintModelError());
class InvalidEscrowConstraintError extends Error {
    constructor() {
        super('Invalid Escrow Constraint');
        this.code = 0x3;
        this.name = 'InvalidEscrowConstraint';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidEscrowConstraintError);
        }
    }
}
exports.InvalidEscrowConstraintError = InvalidEscrowConstraintError;
createErrorFromCodeLookup.set(0x3, () => new InvalidEscrowConstraintError());
createErrorFromNameLookup.set('InvalidEscrowConstraint', () => new InvalidEscrowConstraintError());
class EscrowConstraintViolationError extends Error {
    constructor() {
        super('Escrow Constraint Violation');
        this.code = 0x4;
        this.name = 'EscrowConstraintViolation';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, EscrowConstraintViolationError);
        }
    }
}
exports.EscrowConstraintViolationError = EscrowConstraintViolationError;
createErrorFromCodeLookup.set(0x4, () => new EscrowConstraintViolationError());
createErrorFromNameLookup.set('EscrowConstraintViolation', () => new EscrowConstraintViolationError());
class InvalidUpdateAuthorityError extends Error {
    constructor() {
        super('Invalid Update Authority');
        this.code = 0x5;
        this.name = 'InvalidUpdateAuthority';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidUpdateAuthorityError);
        }
    }
}
exports.InvalidUpdateAuthorityError = InvalidUpdateAuthorityError;
createErrorFromCodeLookup.set(0x5, () => new InvalidUpdateAuthorityError());
createErrorFromNameLookup.set('InvalidUpdateAuthority', () => new InvalidUpdateAuthorityError());
class FailedToCreatePubkeyError extends Error {
    constructor() {
        super('Failed to create pubkey');
        this.code = 0x6;
        this.name = 'FailedToCreatePubkey';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, FailedToCreatePubkeyError);
        }
    }
}
exports.FailedToCreatePubkeyError = FailedToCreatePubkeyError;
createErrorFromCodeLookup.set(0x6, () => new FailedToCreatePubkeyError());
createErrorFromNameLookup.set('FailedToCreatePubkey', () => new FailedToCreatePubkeyError());
class DataTypeMismatchError extends Error {
    constructor() {
        super('Data type mismatch');
        this.code = 0x7;
        this.name = 'DataTypeMismatch';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, DataTypeMismatchError);
        }
    }
}
exports.DataTypeMismatchError = DataTypeMismatchError;
createErrorFromCodeLookup.set(0x7, () => new DataTypeMismatchError());
createErrorFromNameLookup.set('DataTypeMismatch', () => new DataTypeMismatchError());
class ConstraintAlreadyExistsError extends Error {
    constructor() {
        super('Constraint already exists');
        this.code = 0x8;
        this.name = 'ConstraintAlreadyExists';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, ConstraintAlreadyExistsError);
        }
    }
}
exports.ConstraintAlreadyExistsError = ConstraintAlreadyExistsError;
createErrorFromCodeLookup.set(0x8, () => new ConstraintAlreadyExistsError());
createErrorFromNameLookup.set('ConstraintAlreadyExists', () => new ConstraintAlreadyExistsError());
class TokenLimitExceededError extends Error {
    constructor() {
        super('Token Limit Exceeded');
        this.code = 0x9;
        this.name = 'TokenLimitExceeded';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenLimitExceededError);
        }
    }
}
exports.TokenLimitExceededError = TokenLimitExceededError;
createErrorFromCodeLookup.set(0x9, () => new TokenLimitExceededError());
createErrorFromNameLookup.set('TokenLimitExceeded', () => new TokenLimitExceededError());
class FailedToFindTokenAmountError extends Error {
    constructor() {
        super('Failed to find Token Amount');
        this.code = 0xa;
        this.name = 'FailedToFindTokenAmount';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, FailedToFindTokenAmountError);
        }
    }
}
exports.FailedToFindTokenAmountError = FailedToFindTokenAmountError;
createErrorFromCodeLookup.set(0xa, () => new FailedToFindTokenAmountError());
createErrorFromNameLookup.set('FailedToFindTokenAmount', () => new FailedToFindTokenAmountError());
class InvalidCollectionMetadataError extends Error {
    constructor() {
        super('Invalid Collection Metadata');
        this.code = 0xb;
        this.name = 'InvalidCollectionMetadata';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidCollectionMetadataError);
        }
    }
}
exports.InvalidCollectionMetadataError = InvalidCollectionMetadataError;
createErrorFromCodeLookup.set(0xb, () => new InvalidCollectionMetadataError());
createErrorFromNameLookup.set('InvalidCollectionMetadata', () => new InvalidCollectionMetadataError());
class TransferEffectConflictError extends Error {
    constructor() {
        super('Provided Transfer Effects are not compatible');
        this.code = 0xc;
        this.name = 'TransferEffectConflict';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TransferEffectConflictError);
        }
    }
}
exports.TransferEffectConflictError = TransferEffectConflictError;
createErrorFromCodeLookup.set(0xc, () => new TransferEffectConflictError());
createErrorFromNameLookup.set('TransferEffectConflict', () => new TransferEffectConflictError());
class FreezeAuthorityNotSetError extends Error {
    constructor() {
        super('Freeze Authority Not Set');
        this.code = 0xd;
        this.name = 'FreezeAuthorityNotSet';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, FreezeAuthorityNotSetError);
        }
    }
}
exports.FreezeAuthorityNotSetError = FreezeAuthorityNotSetError;
createErrorFromCodeLookup.set(0xd, () => new FreezeAuthorityNotSetError());
createErrorFromNameLookup.set('FreezeAuthorityNotSet', () => new FreezeAuthorityNotSetError());
class CannotBurnPrintEditionError extends Error {
    constructor() {
        super('Cannot burn Print Edition');
        this.code = 0xe;
        this.name = 'CannotBurnPrintEdition';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, CannotBurnPrintEditionError);
        }
    }
}
exports.CannotBurnPrintEditionError = CannotBurnPrintEditionError;
createErrorFromCodeLookup.set(0xe, () => new CannotBurnPrintEditionError());
createErrorFromNameLookup.set('CannotBurnPrintEdition', () => new CannotBurnPrintEditionError());
class ConstraintKeyNotFoundError extends Error {
    constructor() {
        super('Constraint Key Not Found');
        this.code = 0xf;
        this.name = 'ConstraintKeyNotFound';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, ConstraintKeyNotFoundError);
        }
    }
}
exports.ConstraintKeyNotFoundError = ConstraintKeyNotFoundError;
createErrorFromCodeLookup.set(0xf, () => new ConstraintKeyNotFoundError());
createErrorFromNameLookup.set('ConstraintKeyNotFound', () => new ConstraintKeyNotFoundError());
class FailedToSerializeError extends Error {
    constructor() {
        super('Failed to serialize');
        this.code = 0x10;
        this.name = 'FailedToSerialize';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, FailedToSerializeError);
        }
    }
}
exports.FailedToSerializeError = FailedToSerializeError;
createErrorFromCodeLookup.set(0x10, () => new FailedToSerializeError());
createErrorFromNameLookup.set('FailedToSerialize', () => new FailedToSerializeError());
class FailedToBorrowAccountDataError extends Error {
    constructor() {
        super('Failed to borrow account data');
        this.code = 0x11;
        this.name = 'FailedToBorrowAccountData';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, FailedToBorrowAccountDataError);
        }
    }
}
exports.FailedToBorrowAccountDataError = FailedToBorrowAccountDataError;
createErrorFromCodeLookup.set(0x11, () => new FailedToBorrowAccountDataError());
createErrorFromNameLookup.set('FailedToBorrowAccountData', () => new FailedToBorrowAccountDataError());
class InvalidCollectionError extends Error {
    constructor() {
        super('Failed to deserialize collection');
        this.code = 0x12;
        this.name = 'InvalidCollection';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidCollectionError);
        }
    }
}
exports.InvalidCollectionError = InvalidCollectionError;
createErrorFromCodeLookup.set(0x12, () => new InvalidCollectionError());
createErrorFromNameLookup.set('InvalidCollection', () => new InvalidCollectionError());
class MustBeHolderError extends Error {
    constructor() {
        super('Only the holder is allowed to perform this action');
        this.code = 0x13;
        this.name = 'MustBeHolder';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, MustBeHolderError);
        }
    }
}
exports.MustBeHolderError = MustBeHolderError;
createErrorFromCodeLookup.set(0x13, () => new MustBeHolderError());
createErrorFromNameLookup.set('MustBeHolder', () => new MustBeHolderError());
class InvalidFirstCreatorError extends Error {
    constructor() {
        super('Failed to deserialize the first creator');
        this.code = 0x14;
        this.name = 'InvalidFirstCreator';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidFirstCreatorError);
        }
    }
}
exports.InvalidFirstCreatorError = InvalidFirstCreatorError;
createErrorFromCodeLookup.set(0x14, () => new InvalidFirstCreatorError());
createErrorFromNameLookup.set('InvalidFirstCreator', () => new InvalidFirstCreatorError());
function errorFromCode(code) {
    const createError = createErrorFromCodeLookup.get(code);
    return createError != null ? createError() : null;
}
exports.errorFromCode = errorFromCode;
function errorFromName(name) {
    const createError = createErrorFromNameLookup.get(name);
    return createError != null ? createError() : null;
}
exports.errorFromName = errorFromName;
//# sourceMappingURL=index.js.map