import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { SetRoyaltiesArgs } from '../types/SetRoyaltiesArgs';
export type SetRoyaltiesInstructionArgs = {
    setRoyaltiesArgs: SetRoyaltiesArgs;
};
export declare const SetRoyaltiesStruct: beet.FixableBeetArgsStruct<SetRoyaltiesInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type SetRoyaltiesInstructionAccounts = {
    constraintModel: web3.PublicKey;
    payer: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const setRoyaltiesInstructionDiscriminator = 8;
export declare function createSetRoyaltiesInstruction(accounts: SetRoyaltiesInstructionAccounts, args: SetRoyaltiesInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
