import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { TransferInArgs } from '../types/TransferInArgs';
export type TransferInInstructionArgs = {
    transferInArgs: TransferInArgs;
};
export declare const TransferInStruct: beet.FixableBeetArgsStruct<TransferInInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type TransferInInstructionAccounts = {
    trifle: web3.PublicKey;
    trifleAuthority: web3.PublicKey;
    payer: web3.PublicKey;
    constraintModel: web3.PublicKey;
    escrow: web3.PublicKey;
    escrowMint?: web3.PublicKey;
    escrowToken?: web3.PublicKey;
    escrowEdition?: web3.PublicKey;
    attributeMint?: web3.PublicKey;
    attributeSrcToken?: web3.PublicKey;
    attributeDstToken?: web3.PublicKey;
    attributeMetadata?: web3.PublicKey;
    attributeEdition?: web3.PublicKey;
    attributeCollectionMetadata?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    splToken: web3.PublicKey;
    splAssociatedTokenAccount: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
};
export declare const transferInInstructionDiscriminator = 2;
export declare function createTransferInInstruction(accounts: TransferInInstructionAccounts, args: TransferInInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
