import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { TransferOutArgs } from '../types/TransferOutArgs';
export type TransferOutInstructionArgs = {
    transferOutArgs: TransferOutArgs;
};
export declare const TransferOutStruct: beet.FixableBeetArgsStruct<TransferOutInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type TransferOutInstructionAccounts = {
    trifleAccount: web3.PublicKey;
    constraintModel: web3.PublicKey;
    escrowAccount: web3.PublicKey;
    escrowTokenAccount: web3.PublicKey;
    escrowMint: web3.PublicKey;
    escrowMetadata: web3.PublicKey;
    escrowEdition?: web3.PublicKey;
    payer: web3.PublicKey;
    trifleAuthority: web3.PublicKey;
    attributeMint: web3.PublicKey;
    attributeSrcTokenAccount: web3.PublicKey;
    attributeDstTokenAccount: web3.PublicKey;
    attributeMetadata: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    splAssociatedTokenAccount: web3.PublicKey;
    splToken: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const transferOutInstructionDiscriminator = 3;
export declare function createTransferOutInstruction(accounts: TransferOutInstructionAccounts, args: TransferOutInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
