"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTransferOutInstruction = exports.transferOutInstructionDiscriminator = exports.TransferOutStruct = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const TransferOutArgs_1 = require("../types/TransferOutArgs");
exports.TransferOutStruct = new beet.FixableBeetArgsStruct([
    ['instructionDiscriminator', beet.u8],
    ['transferOutArgs', TransferOutArgs_1.transferOutArgsBeet],
], 'TransferOutInstructionArgs');
exports.transferOutInstructionDiscriminator = 3;
function createTransferOutInstruction(accounts, args, programId = new web3.PublicKey('trifMWutwBxkSuatmpPVnEe7NoE3BJKgjVi8sSyoXWX')) {
    var _a, _b;
    const [data] = exports.TransferOutStruct.serialize({
        instructionDiscriminator: exports.transferOutInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: accounts.trifleAccount,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.constraintModel,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.escrowAccount,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.escrowTokenAccount,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.escrowMint,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.escrowMetadata,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: (_a = accounts.escrowEdition) !== null && _a !== void 0 ? _a : programId,
            isWritable: accounts.escrowEdition != null,
            isSigner: false,
        },
        {
            pubkey: accounts.payer,
            isWritable: true,
            isSigner: true,
        },
        {
            pubkey: accounts.trifleAuthority,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.attributeMint,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.attributeSrcTokenAccount,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.attributeDstTokenAccount,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.attributeMetadata,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_b = accounts.systemProgram) !== null && _b !== void 0 ? _b : web3.SystemProgram.programId,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.splAssociatedTokenAccount,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.splToken,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.tokenMetadataProgram,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.sysvarInstructions,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createTransferOutInstruction = createTransferOutInstruction;
//# sourceMappingURL=TransferOut.js.map