import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { WithdrawRoyaltiesArgs } from '../types/WithdrawRoyaltiesArgs';
export type WithdrawRoyaltiesInstructionArgs = {
    withdrawRoyaltiesArgs: WithdrawRoyaltiesArgs;
};
export declare const WithdrawRoyaltiesStruct: beet.FixableBeetArgsStruct<WithdrawRoyaltiesInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type WithdrawRoyaltiesInstructionAccounts = {
    constraintModel: web3.PublicKey;
    payer: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    destination: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const withdrawRoyaltiesInstructionDiscriminator = 9;
export declare function createWithdrawRoyaltiesInstruction(accounts: WithdrawRoyaltiesInstructionAccounts, args: WithdrawRoyaltiesInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
