import * as web3 from '@solana/web3.js';
import * as beet from '@metaplex-foundation/beet';
export type EscrowConstraintTypeRecord = {
    None: void;
    Collection: {
        fields: [web3.PublicKey];
    };
    Tokens: {
        fields: [Set<web3.PublicKey>];
    };
    FirstCreator: {
        fields: [web3.PublicKey];
    };
};
export type EscrowConstraintType = beet.DataEnumKeyAsKind<EscrowConstraintTypeRecord>;
export declare const isEscrowConstraintTypeNone: (x: EscrowConstraintType) => x is {
    __kind: "None";
} & Omit<void, "void"> & {
    __kind: 'None';
};
export declare const isEscrowConstraintTypeCollection: (x: EscrowConstraintType) => x is {
    __kind: "Collection";
} & Omit<{
    fields: [web3.PublicKey];
}, "void"> & {
    __kind: 'Collection';
};
export declare const isEscrowConstraintTypeTokens: (x: EscrowConstraintType) => x is {
    __kind: "Tokens";
} & Omit<{
    fields: [Set<web3.PublicKey>];
}, "void"> & {
    __kind: 'Tokens';
};
export declare const isEscrowConstraintTypeFirstCreator: (x: EscrowConstraintType) => x is {
    __kind: "FirstCreator";
} & Omit<{
    fields: [web3.PublicKey];
}, "void"> & {
    __kind: 'FirstCreator';
};
export declare const escrowConstraintTypeBeet: beet.FixableBeet<EscrowConstraintType, Partial<EscrowConstraintType>>;
