"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransferEffects = void 0;
const bn_js_1 = __importDefault(require("bn.js"));
class TransferEffects {
    constructor(n) {
        this._bn = new bn_js_1.default(n || 0);
    }
    track() {
        return this._bn.testn(0);
    }
    withTrack(bool = true) {
        this._bn.setn(0, bool);
        return this;
    }
    burn() {
        return this._bn.testn(1);
    }
    withBurn(bool = true) {
        this._bn.setn(1, bool);
        return this;
    }
    freeze() {
        return this._bn.testn(2);
    }
    withFreeze(bool = true) {
        this._bn.setn(2, bool);
        return this;
    }
    freezeParent() {
        return this._bn.testn(3);
    }
    withFreezeParent(bool = true) {
        this._bn.setn(3, bool);
        return this;
    }
    toNumber() {
        return this._bn.toNumber();
    }
}
exports.TransferEffects = TransferEffects;
//# sourceMappingURL=transfer-effects.js.map